#include "../paraclass.h"

#define DRV_READ_IO_8 'r'
#define DRV_WRITE_IO_8 'w'

typedef struct Parallel
{
	uint32 Port;
	uint8  Data;
} Parallel;


uint8 ParPort::In(uint32 port)
{
	Parallel temp;
	
	temp.Port = port;

	ioctl(fd, DRV_READ_IO_8, &temp, 0);
	
	return (temp.Data);
}


void ParPort::Out(uint32 port, uint8 data)
{
	Parallel temp;
	
	temp.Port = port;
    temp.Data = data;

	ioctl(fd, DRV_WRITE_IO_8, &temp, 0);
	
	return;
}

void ParPort::Open()
{
fd = open("/dev/misc/parnew", O_RDWR | O_NONBLOCK);
}

void ParPort::Close()
{
close(fd);
}
